MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
sc::DFPUpdate Class Reference

    The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell

hessian update scheme. More...

`#include <update.h>`

Inheritance diagram for sc::DFPUpdate:
[legend]
Collaboration diagram for sc::DFPUpdate:
[legend]

## Public Member Functions
| DFPUpdate (StateIn &)
| DFPUpdate (const Ref< KeyVal > &)
| The KeyVal constructor reads the following keywords: More...
void | save_data_state (StateOut &)
| Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them. More...
void | update (const RefSymmSCMatrix &ihessian, const Ref< Function > &, const RefSCVector &xnew, const RefSCVector &gnew)
void | apply_transform (const Ref< NonlinearTransform > &)
void | set_inverse ()
Public Member Functions inherited from sc::HessianUpdate
| HessianUpdate (StateIn &)
| HessianUpdate (const Ref< KeyVal > &)
Public Member Functions inherited from sc::SavableState
SavableState & | operator= (const SavableState &)
void | save_state (StateOut &)
| Save the state of the object as specified by the StateOut object. More...
void | save_object_state (StateOut &)
| This can be used for saving state when the exact type of the object is known for both the save and the restore. More...
virtual void | save_vbase_state (StateOut &)
| Save the virtual bases for the object. More...
Public Member Functions inherited from sc::DescribedClass
| DescribedClass (const DescribedClass &)
DescribedClass & | operator= (const DescribedClass &)
ClassDesc * | class_desc () const throw ()
| This returns the unique pointer to the ClassDesc corresponding to the given type_info object. More...
const char * | class_name () const
| Return the name of the object's exact type.
int | class_version () const
| Return the version of the class.
virtual void | print (std::ostream &=ExEnv::out0()) const
| Print the object.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes
RefSCVector | xprev
RefSCVector | gprev
Protected Attributes inherited from sc::HessianUpdate
int | inverse_hessian_

## Additional Inherited Members
Static Public Member Functions inherited from sc::SavableState
static void | save_state (SavableState *s, StateOut &)
static SavableState * | restore_state (StateIn &si)
| Restores objects saved with save_state. More...
static SavableState * | key_restore_state (StateIn &si, const char *keyword)
| Like restore_state, but keyword is used to override values while restoring. More...
static SavableState * | dir_restore_state (StateIn &si, const char *objectname, const char *keyword=0)
Protected Member Functions inherited from sc::SavableState
| SavableState (const SavableState &)
| SavableState (StateIn &)
| Each derived class StateIn CTOR handles the restore corresponding to calling save_object_state, save_vbase_state, and save_data_state listed above. More...

## Detailed Description

    The DFPUpdate class is used to specify a Davidson, Fletcher, and Powell

hessian update scheme.

## Constructor & Destructor Documentation

sc::DFPUpdate::DFPUpdate | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor reads the following keywords:

`xprev`

  The previous coordinates can be given (but is not recommended). The default is none.

`gprev`

  The previous gradient can be given (but is not recommended). The default is none.

## Member Function Documentation

void sc::DFPUpdate::save_data_state | ( | StateOut & |  | ) |
| virtual

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::HessianUpdate.

Reimplemented in sc::BFGSUpdate.

The documentation for this class was generated from the following file:

- update.h